[arch-commits] Commit in (4 files)

Ronald van Haren ronald at archlinux.org
Wed Jul 21 08:06:46 EDT 2010


    Date: Wednesday, July 21, 2010 @ 08:06:45
  Author: ronald
Revision: 85872

add pywebkitgtk as dependency to miro

Added:
  pywebkitgtk/
  pywebkitgtk/repos/
  pywebkitgtk/trunk/
  pywebkitgtk/trunk/PKGBUILD

----------+
 PKGBUILD |   27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

Added: pywebkitgtk/trunk/PKGBUILD
===================================================================
--- pywebkitgtk/trunk/PKGBUILD	                        (rev 0)
+++ pywebkitgtk/trunk/PKGBUILD	2010-07-21 12:06:45 UTC (rev 85872)
@@ -0,0 +1,27 @@
+# Contributor: kasa <biuta.jr at gmail.com>
+# Maintainer: Daniel J Griffiths <ghost1227 at archlinux.us>
+
+pkgname=pywebkitgtk
+pkgver=1.1.7
+pkgrel=1
+pkgdesc="Python bindings to the WebKit GTK+ port"
+arch=('i686' 'x86_64')
+url="http://code.google.com/p/pywebkitgtk/"
+license=('LGPL')
+depends=('libwebkit' 'pygtk')
+options=('!libtool' '!makeflags')
+source=(http://pywebkitgtk.googlecode.com/files/${pkgname}-${pkgver}.tar.gz)
+md5sums=('4dbe0111c0b0ad2280052e4534903a9b')
+
+build() {
+        cd ${srcdir}/${pkgname}-${pkgver}
+
+        ./configure --prefix=/usr || return 1
+        make || return 1
+}
+
+package() {
+        cd ${srcdir}/${pkgname}-${pkgver}
+
+        make DESTDIR=${pkgdir} install
+}


Property changes on: pywebkitgtk/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id



More information about the arch-commits mailing list